> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rune



## OpenAPI

````yaml get /rune/{rune_name}
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /rune/{rune_name}:
    get:
      tags:
        - Runes
      operationId: RunesController_getByRuneName
      parameters:
        - name: rune_name
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuneResponseEntity'
components:
  schemas:
    RuneResponseEntity:
      type: object
      properties:
        omnity:
          $ref: '#/components/schemas/OmnityResponseEntity'
        bestinslot:
          $ref: '#/components/schemas/BisRuneEntity'
      required:
        - omnity
        - bestinslot
    OmnityResponseEntity:
      type: object
      properties:
        decimals:
          type: number
        token_id:
          type: string
        icon:
          type: array
          items:
            type: string
        name:
          type: string
        rune_id:
          type: array
          items:
            type: string
        symbol:
          type: string
      required:
        - decimals
        - token_id
        - icon
        - name
        - rune_id
        - symbol
    BisRuneEntity:
      type: object
      properties:
        rune_id:
          type: string
        rune_number:
          type: string
        rune_name:
          type: string
        spaced_rune_name:
          type: string
        symbol:
          type: string
        decimals:
          type: number
        per_mint_amount:
          type: string
        mint_cnt:
          type: string
        mint_cnt_limit:
          type: string
        premined_supply:
          type: string
        total_minted_supply:
          type: string
        burned_supply:
          type: string
        circulating_supply:
          type: string
        mint_progress:
          type: number
        mint_start_block:
          type: number
        mint_end_block:
          type: number
        genesis_block:
          type: number
        deploy_ts:
          type: string
        deploy_txid:
          type: string
        auto_upgrade:
          type: boolean
        holder_count:
          type: number
        event_count:
          type: number
        mintable:
          type: boolean
        icon_inscr_id:
          type: string
        icon_delegate_id:
          type: string
        icon_content_url:
          type: string
        icon_render_url:
          type: string
        avg_unit_price_in_sats:
          type: number
        min_listed_unit_price_in_sats:
          type: number
        min_listed_unit_price_unisat:
          type: number
        listed_supply:
          type: string
        listed_supply_ratio:
          type: number
        marketcap:
          type: number
        total_sale_info:
          $ref: '#/components/schemas/BisRuneTotalSaleInfo'
      required:
        - rune_id
        - rune_number
        - rune_name
        - spaced_rune_name
        - symbol
        - decimals
        - per_mint_amount
        - mint_cnt
        - mint_cnt_limit
        - premined_supply
        - total_minted_supply
        - burned_supply
        - circulating_supply
        - mint_progress
        - mint_start_block
        - mint_end_block
        - genesis_block
        - deploy_ts
        - deploy_txid
        - auto_upgrade
        - holder_count
        - event_count
        - mintable
        - icon_inscr_id
        - icon_delegate_id
        - icon_content_url
        - icon_render_url
        - avg_unit_price_in_sats
        - min_listed_unit_price_in_sats
        - min_listed_unit_price_unisat
        - listed_supply
        - listed_supply_ratio
        - marketcap
        - total_sale_info
    BisRuneTotalSaleInfo:
      type: object
      properties:
        sale_count:
          type: number
        sale_count_3h:
          type: number
        sale_count_6h:
          type: number
        sale_count_9h:
          type: number
        sale_count_12h:
          type: number
        sale_count_1d:
          type: number
        sale_count_3d:
          type: number
        sale_count_7d:
          type: number
        sale_count_30d:
          type: number
        sale_amount:
          type: number
        vol_3h:
          type: number
        vol_6h:
          type: number
        vol_9h:
          type: number
        vol_12h:
          type: number
        vol_1d:
          type: number
        vol_3d:
          type: number
        vol_7d:
          type: number
        vol_30d:
          type: number
        vol_total:
          type: number
      required:
        - sale_count
        - sale_count_3h
        - sale_count_6h
        - sale_count_9h
        - sale_count_12h
        - sale_count_1d
        - sale_count_3d
        - sale_count_7d
        - sale_count_30d
        - sale_amount
        - vol_3h
        - vol_6h
        - vol_9h
        - vol_12h
        - vol_1d
        - vol_3d
        - vol_7d
        - vol_30d
        - vol_total

````